{% import 'macros.jinja2' as macros -%}
<?xml version="1.0" encoding="UTF-8" ?>
<FDSNStationXML xmlns="http://www.fdsn.org/xml/station/1" schemaVersion="1.1"
                xsi:schemaLocation="http://www.fdsn.org/xml/station/1 http://www.fdsn.org/xml/station/fdsn-station-1.1.xsd"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:resif="http://www.fdsn.org/xml/station/1/resif">
    <Source>RESIF-SI</Source>
    <Sender>RESIF-DC</Sender>
    <Module>RESIF WEB SERVICE: fdsnws-station | version: 1.1.1 </Module>
    <ModuleURI>{{ settings.api_url() }}</ModuleURI>
    <Created>{{ now.isoformat() }}</Created>

    {% for network_ in networks.values() %}
        {% set network = network_['network'] %}
        <Network code="{{ network.code }}"{% if network.altcode %} alternateCode="{{network.altcode }}"{% endif %} startDate="{{ network.starttime.isoformat() }}"{% if network.end %} endDate="{{ network.end.isoformat() }}"{% endif %} restrictedStatus="{{ network.policy }}">

            {% if network.description %}
                <Description>{{ network.description }}</Description>
            {% endif %}

            {% for identifier in network.identifiers %}
                {{ macros.identifier(identifier) }}
            {% endfor %}

            {% for comment in network.comments %}
                {{ macros.comment(comment) }}
            {% endfor %}

            {% for operator in network.operators %}
                {{ macros.operator(operator) }}
            {% endfor %}

            <TotalNumberStations>{{ network.nb_station }}</TotalNumberStations>
            <SelectedNumberStations>{{ network_['stations']|length }}</SelectedNumberStations>

            {% for station_ in network_['stations'].values() %}
                {% set station = station_['station'] %}
                <Station code="{{ station.code }}" startDate="{{ station.starttime.isoformat() }}"{% if station.end %} endDate="{{ station.end.isoformat() }}"{% endif %} restrictedStatus="{{ station.policy }}" resif:alternateNetworkCodes="{{ network.altcode }}">

                {% if station.description %}
                    <Description>{{ station.description }}</Description>
                {% endif %}

                {% for identifier in station.identifiers %}
                    {{ macros.identifier(identifier) }}
                {% endfor %}

                {% for comment in station.comments %}
                    {{ macros.comment(comment) }}
                {% endfor %}

                {% if station.latitude and station.latitude.latitude != None %}
                    <Latitude>{{ station.latitude.latitude }}</Latitude>
                {% endif %}
                {% if station.longitude and station.longitude.longitude != None %}
                    <Longitude>{{ station.longitude.longitude }}</Longitude>
                {% endif %}
                {% if station.elevation and station.elevation.distance != None %}
                    <Elevation>{{ station.elevation.distance }}</Elevation>
                {% endif %}

                {% if station.site %}
                    {{ macros.site(station.site) }}
                {% endif %}

                {% if station.waterlevel and station.waterlevel.waterlevel != None %}
                    <WaterLevel>{{ station.waterlevel.waterlevel }}</WaterLevel>
                {% endif %}
                {% if station.vault and station.vault.vault != None %}
                    <Vault>{{ station.vault.vault }}</Vault>
                {% endif %}
                {% if station.geology and station.geology.geology != None %}
                    <Geology>{{ station.geology.geology }}</Geology>
                {% endif %}

                {% for equipment in station.equipments %}
                    {{ macros.equipment(equipment) }}
                {% endfor %}

                {% for operator in station.operators %}
                    {{ macros.operator(operator) }}
                {% endfor %}

                {% if station.creationdate %}
                    <CreationDate>{{ station.creationdate.isoformat() }}</CreationDate>
                {% endif %}
                {% if station.termination %}
                    <TerminationDate>{{ station.termination.isoformat() }}</TerminationDate>
                {% endif %}

                <TotalNumberChannels>{{ station.nb_channel }}</TotalNumberChannels>
                <SelectedNumberChannels>{{ station_['channels']|length }}</SelectedNumberChannels>

                {% for external_reference in station.external_references %}
                    {{ macros.external_reference(external_reference) }}
                {% endfor %}

                {% for channel in station_['channels'] %}
                    <Channel locationCode="{{ channel.location }}" code="{{ channel.code }}" startDate="{{ channel.starttime.isoformat() }}"{% if channel.end %} endDate="{{ channel.end.isoformat() }}"{% endif %} restrictedStatus="{{ channel.policy }}">

                        {% if channel.description %}
                            <Description>{{ channel.description }}</Description>
                        {% endif %}

                        {% for identifier in channel.identifiers %}
                            {{ macros.identifier(identifier) }}
                        {% endfor %}

                        {% for comment in channel.comments %}
                            {{ macros.comment(comment) }}
                        {% endfor %}

                        {% for external_reference in channel.external_references %}
                            {{ macros.external_reference(external_reference) }}
                        {% endfor %}

                        {% if channel.latitude and channel.latitude.latitude != None %}
                            <Latitude>{{ channel.latitude.latitude }}</Latitude>
                        {% endif %}
                        {% if channel.longitude and channel.longitude.longitude != None %}
                            <Longitude>{{ channel.longitude.longitude }}</Longitude>
                        {% endif %}
                        {% if channel.elevation and channel.elevation.distance != None %}
                            <Elevation>{{ channel.elevation.distance }}</Elevation>
                        {% endif %}
                        {% if channel.depth and channel.depth.distance != None %}
                            <Depth>{{ channel.depth.distance }}</Depth>
                        {% endif %}

                        {% if channel.azimuth and channel.azimuth.azimuth != None %}
                            <Azimuth>{{ channel.azimuth.azimuth }}</Azimuth>
                        {% endif %}
                        {% if channel.dip and channel.dip.dip != None %}
                            <Dip>{{ channel.dip.dip }}</Dip>
                        {% endif %}

                        {% if channel.waterlevel and channel.waterlevel.waterlevel != None %}
                            <WaterLevel>{{ channel.waterlevel.waterlevel }}</WaterLevel>
                        {% endif %}

                        {% for type in channel.types %}
                            <Type>{{ type }}</Type>
                        {% endfor %}

                        {#
                        SampleRateGroup
                        ClockDrift
                        CalibrationUnits
                        Sensor
                        PreAmplifier
                        DataLogger
                        Equipment
                        #}

                        {% if query.level == 'response' and channel.response %}
                            {{ channel.response.xml|safe }}
                        {% endif %}

                    </Channel>
                {% endfor %}

                </Station>
            {% endfor %}

        </Network>
    {% endfor %}
</FDSNStationXML>